### Cursor

#### Methods

void rewind(int type)
get tempo at current tick
rewind cursor
type=0 rewind to start of score
type=1 rewind to start of selection
type=2 rewind to end of selection
bool next()
bool nextMeasure()
void add(Ms::Element*)
void addNote(int pitch)
void setDuration(int z, int n)
set duration
z: numerator
n: denominator
Quarter, if n == 0

#### Properties

track | int | current track
staffIdx | int | current staff (track / 4)
voice | int | current voice (track % 4)
filter | enum | segment type filter
element | Ms::Element* | current element at track, read only
segment | Ms::Segment* | current segment, read only
measure | Ms::Measure* | current measure, read only
tick | int | midi tick position, read only
time | double | time at tick position, read only
tempo | float | tempo at tick position, read only
keySignature | int | key signature of current staff at tick pos. (read only)
timeSignature | Ms::TimeSig* | time signature of current staff at tick pos. (read only)
score | Ms::Score* | associated score